<?php

namespace \Liberty\Service\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for cotizadorDetalleResponse StructType
 * @subpackage Structs
 */
class CotizadorDetalleResponse extends AbstractStructBase
{
    /**
     * The codDeducible
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $codDeducible;
    /**
     * The codPlan
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $codPlan;
    /**
     * The codProducto
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $codProducto;
    /**
     * The descDeducible
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $descDeducible;
    /**
     * The descPlan
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $descPlan;
    /**
     * The descProducto
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $descProducto;
    /**
     * The indInspeccion
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $indInspeccion;
    /**
     * The mapCoberturas
     * @var \\Liberty\Service\StructType\MapCoberturas
     */
    public $mapCoberturas;
    /**
     * The nroCotizacion
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $nroCotizacion;
    /**
     * The porcentajeComision
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $porcentajeComision;
    /**
     * The porcentajeDescuento
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $porcentajeDescuento;
    /**
     * The porcentajeRecargo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $porcentajeRecargo;
    /**
     * The primaAfecta
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $primaAfecta;
    /**
     * The primaBruta
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $primaBruta;
    /**
     * The primaExenta
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $primaExenta;
    /**
     * The primaNeta
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $primaNeta;
    /**
     * Constructor method for cotizadorDetalleResponse
     * @uses CotizadorDetalleResponse::setCodDeducible()
     * @uses CotizadorDetalleResponse::setCodPlan()
     * @uses CotizadorDetalleResponse::setCodProducto()
     * @uses CotizadorDetalleResponse::setDescDeducible()
     * @uses CotizadorDetalleResponse::setDescPlan()
     * @uses CotizadorDetalleResponse::setDescProducto()
     * @uses CotizadorDetalleResponse::setIndInspeccion()
     * @uses CotizadorDetalleResponse::setMapCoberturas()
     * @uses CotizadorDetalleResponse::setNroCotizacion()
     * @uses CotizadorDetalleResponse::setPorcentajeComision()
     * @uses CotizadorDetalleResponse::setPorcentajeDescuento()
     * @uses CotizadorDetalleResponse::setPorcentajeRecargo()
     * @uses CotizadorDetalleResponse::setPrimaAfecta()
     * @uses CotizadorDetalleResponse::setPrimaBruta()
     * @uses CotizadorDetalleResponse::setPrimaExenta()
     * @uses CotizadorDetalleResponse::setPrimaNeta()
     * @param int $codDeducible
     * @param int $codPlan
     * @param int $codProducto
     * @param string $descDeducible
     * @param string $descPlan
     * @param string $descProducto
     * @param int $indInspeccion
     * @param \\Liberty\Service\StructType\MapCoberturas $mapCoberturas
     * @param int $nroCotizacion
     * @param float $porcentajeComision
     * @param float $porcentajeDescuento
     * @param float $porcentajeRecargo
     * @param float $primaAfecta
     * @param float $primaBruta
     * @param float $primaExenta
     * @param float $primaNeta
     */
    public function __construct($codDeducible = null, $codPlan = null, $codProducto = null, $descDeducible = null, $descPlan = null, $descProducto = null, $indInspeccion = null, \\Liberty\Service\StructType\MapCoberturas $mapCoberturas = null, $nroCotizacion = null, $porcentajeComision = null, $porcentajeDescuento = null, $porcentajeRecargo = null, $primaAfecta = null, $primaBruta = null, $primaExenta = null, $primaNeta = null)
    {
        $this
            ->setCodDeducible($codDeducible)
            ->setCodPlan($codPlan)
            ->setCodProducto($codProducto)
            ->setDescDeducible($descDeducible)
            ->setDescPlan($descPlan)
            ->setDescProducto($descProducto)
            ->setIndInspeccion($indInspeccion)
            ->setMapCoberturas($mapCoberturas)
            ->setNroCotizacion($nroCotizacion)
            ->setPorcentajeComision($porcentajeComision)
            ->setPorcentajeDescuento($porcentajeDescuento)
            ->setPorcentajeRecargo($porcentajeRecargo)
            ->setPrimaAfecta($primaAfecta)
            ->setPrimaBruta($primaBruta)
            ->setPrimaExenta($primaExenta)
            ->setPrimaNeta($primaNeta);
    }
    /**
     * Get codDeducible value
     * @return int|null
     */
    public function getCodDeducible()
    {
        return $this->codDeducible;
    }
    /**
     * Set codDeducible value
     * @param int $codDeducible
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setCodDeducible($codDeducible = null)
    {
        // validation for constraint: int
        if (!is_null($codDeducible) && !(is_int($codDeducible) || ctype_digit($codDeducible))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($codDeducible, true), gettype($codDeducible)), __LINE__);
        }
        $this->codDeducible = $codDeducible;
        return $this;
    }
    /**
     * Get codPlan value
     * @return int|null
     */
    public function getCodPlan()
    {
        return $this->codPlan;
    }
    /**
     * Set codPlan value
     * @param int $codPlan
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setCodPlan($codPlan = null)
    {
        // validation for constraint: int
        if (!is_null($codPlan) && !(is_int($codPlan) || ctype_digit($codPlan))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($codPlan, true), gettype($codPlan)), __LINE__);
        }
        $this->codPlan = $codPlan;
        return $this;
    }
    /**
     * Get codProducto value
     * @return int|null
     */
    public function getCodProducto()
    {
        return $this->codProducto;
    }
    /**
     * Set codProducto value
     * @param int $codProducto
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setCodProducto($codProducto = null)
    {
        // validation for constraint: int
        if (!is_null($codProducto) && !(is_int($codProducto) || ctype_digit($codProducto))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($codProducto, true), gettype($codProducto)), __LINE__);
        }
        $this->codProducto = $codProducto;
        return $this;
    }
    /**
     * Get descDeducible value
     * @return string|null
     */
    public function getDescDeducible()
    {
        return $this->descDeducible;
    }
    /**
     * Set descDeducible value
     * @param string $descDeducible
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setDescDeducible($descDeducible = null)
    {
        // validation for constraint: string
        if (!is_null($descDeducible) && !is_string($descDeducible)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($descDeducible, true), gettype($descDeducible)), __LINE__);
        }
        $this->descDeducible = $descDeducible;
        return $this;
    }
    /**
     * Get descPlan value
     * @return string|null
     */
    public function getDescPlan()
    {
        return $this->descPlan;
    }
    /**
     * Set descPlan value
     * @param string $descPlan
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setDescPlan($descPlan = null)
    {
        // validation for constraint: string
        if (!is_null($descPlan) && !is_string($descPlan)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($descPlan, true), gettype($descPlan)), __LINE__);
        }
        $this->descPlan = $descPlan;
        return $this;
    }
    /**
     * Get descProducto value
     * @return string|null
     */
    public function getDescProducto()
    {
        return $this->descProducto;
    }
    /**
     * Set descProducto value
     * @param string $descProducto
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setDescProducto($descProducto = null)
    {
        // validation for constraint: string
        if (!is_null($descProducto) && !is_string($descProducto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($descProducto, true), gettype($descProducto)), __LINE__);
        }
        $this->descProducto = $descProducto;
        return $this;
    }
    /**
     * Get indInspeccion value
     * @return int|null
     */
    public function getIndInspeccion()
    {
        return $this->indInspeccion;
    }
    /**
     * Set indInspeccion value
     * @param int $indInspeccion
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setIndInspeccion($indInspeccion = null)
    {
        // validation for constraint: int
        if (!is_null($indInspeccion) && !(is_int($indInspeccion) || ctype_digit($indInspeccion))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($indInspeccion, true), gettype($indInspeccion)), __LINE__);
        }
        $this->indInspeccion = $indInspeccion;
        return $this;
    }
    /**
     * Get mapCoberturas value
     * @return \\Liberty\Service\StructType\MapCoberturas|null
     */
    public function getMapCoberturas()
    {
        return $this->mapCoberturas;
    }
    /**
     * Set mapCoberturas value
     * @param \\Liberty\Service\StructType\MapCoberturas $mapCoberturas
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setMapCoberturas(\\Liberty\Service\StructType\MapCoberturas $mapCoberturas = null)
    {
        $this->mapCoberturas = $mapCoberturas;
        return $this;
    }
    /**
     * Get nroCotizacion value
     * @return int|null
     */
    public function getNroCotizacion()
    {
        return $this->nroCotizacion;
    }
    /**
     * Set nroCotizacion value
     * @param int $nroCotizacion
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setNroCotizacion($nroCotizacion = null)
    {
        // validation for constraint: int
        if (!is_null($nroCotizacion) && !(is_int($nroCotizacion) || ctype_digit($nroCotizacion))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($nroCotizacion, true), gettype($nroCotizacion)), __LINE__);
        }
        $this->nroCotizacion = $nroCotizacion;
        return $this;
    }
    /**
     * Get porcentajeComision value
     * @return float|null
     */
    public function getPorcentajeComision()
    {
        return $this->porcentajeComision;
    }
    /**
     * Set porcentajeComision value
     * @param float $porcentajeComision
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setPorcentajeComision($porcentajeComision = null)
    {
        // validation for constraint: float
        if (!is_null($porcentajeComision) && !(is_float($porcentajeComision) || is_numeric($porcentajeComision))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($porcentajeComision, true), gettype($porcentajeComision)), __LINE__);
        }
        $this->porcentajeComision = $porcentajeComision;
        return $this;
    }
    /**
     * Get porcentajeDescuento value
     * @return float|null
     */
    public function getPorcentajeDescuento()
    {
        return $this->porcentajeDescuento;
    }
    /**
     * Set porcentajeDescuento value
     * @param float $porcentajeDescuento
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setPorcentajeDescuento($porcentajeDescuento = null)
    {
        // validation for constraint: float
        if (!is_null($porcentajeDescuento) && !(is_float($porcentajeDescuento) || is_numeric($porcentajeDescuento))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($porcentajeDescuento, true), gettype($porcentajeDescuento)), __LINE__);
        }
        $this->porcentajeDescuento = $porcentajeDescuento;
        return $this;
    }
    /**
     * Get porcentajeRecargo value
     * @return float|null
     */
    public function getPorcentajeRecargo()
    {
        return $this->porcentajeRecargo;
    }
    /**
     * Set porcentajeRecargo value
     * @param float $porcentajeRecargo
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setPorcentajeRecargo($porcentajeRecargo = null)
    {
        // validation for constraint: float
        if (!is_null($porcentajeRecargo) && !(is_float($porcentajeRecargo) || is_numeric($porcentajeRecargo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($porcentajeRecargo, true), gettype($porcentajeRecargo)), __LINE__);
        }
        $this->porcentajeRecargo = $porcentajeRecargo;
        return $this;
    }
    /**
     * Get primaAfecta value
     * @return float|null
     */
    public function getPrimaAfecta()
    {
        return $this->primaAfecta;
    }
    /**
     * Set primaAfecta value
     * @param float $primaAfecta
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setPrimaAfecta($primaAfecta = null)
    {
        // validation for constraint: float
        if (!is_null($primaAfecta) && !(is_float($primaAfecta) || is_numeric($primaAfecta))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($primaAfecta, true), gettype($primaAfecta)), __LINE__);
        }
        $this->primaAfecta = $primaAfecta;
        return $this;
    }
    /**
     * Get primaBruta value
     * @return float|null
     */
    public function getPrimaBruta()
    {
        return $this->primaBruta;
    }
    /**
     * Set primaBruta value
     * @param float $primaBruta
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setPrimaBruta($primaBruta = null)
    {
        // validation for constraint: float
        if (!is_null($primaBruta) && !(is_float($primaBruta) || is_numeric($primaBruta))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($primaBruta, true), gettype($primaBruta)), __LINE__);
        }
        $this->primaBruta = $primaBruta;
        return $this;
    }
    /**
     * Get primaExenta value
     * @return float|null
     */
    public function getPrimaExenta()
    {
        return $this->primaExenta;
    }
    /**
     * Set primaExenta value
     * @param float $primaExenta
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setPrimaExenta($primaExenta = null)
    {
        // validation for constraint: float
        if (!is_null($primaExenta) && !(is_float($primaExenta) || is_numeric($primaExenta))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($primaExenta, true), gettype($primaExenta)), __LINE__);
        }
        $this->primaExenta = $primaExenta;
        return $this;
    }
    /**
     * Get primaNeta value
     * @return float|null
     */
    public function getPrimaNeta()
    {
        return $this->primaNeta;
    }
    /**
     * Set primaNeta value
     * @param float $primaNeta
     * @return \\Liberty\Service\StructType\CotizadorDetalleResponse
     */
    public function setPrimaNeta($primaNeta = null)
    {
        // validation for constraint: float
        if (!is_null($primaNeta) && !(is_float($primaNeta) || is_numeric($primaNeta))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($primaNeta, true), gettype($primaNeta)), __LINE__);
        }
        $this->primaNeta = $primaNeta;
        return $this;
    }
}
